import { useMarkStore } from "@/store";
import { getStatus } from "@/api/markPage";

export default function useStatus() {
  const markStore = useMarkStore();

  async function updateStatus() {
    const res = await getStatus(markStore.setting.questionModel);
    markStore.setInfo({ status: res.data });
  }

  return {
    updateStatus,
  };
}
